Subject: RE: [Ltru] Language Subtag Reviewer Appointment

From: "McDonald, Ira" <[email-masked]>
Date: Wed, 22 Feb 2006 07:51:54 -0800

Hi,

While I agree with the thrust of Martin's reading, this text
is ambiguous and unfortunate.

The IESG has wide discretion under the IETF Standards Process.
Far more substantial changes to SUBSTANCE have been made without
another IETF 'last call'.

Scott - please just fix the text and let us keep Michael Everson
in a role that he is very nearly uniquely qualified to fill.

RFC 1766/3066 language tags permeate standards from dozens of
standards organizations - their importance is far wider than
just XML (or the IETF protocols, for that matter).

Respectfully,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

> -----Original Message-----
> From: Martin Duerst [mailto:[email-masked]]
> Sent: Tuesday, February 21, 2006 11:25 PM
> To: Scott Hollenbeck; 'LTRU Working Group'
> Cc: 'Michael Everson'
> Subject: Re: [Ltru] Language Subtag Reviewer Appointment
> 
> 
> I think the situation isn't as bad as it looks.
> 
> A careful observation, and an additional option, below.
> 
> [this is a personal contribution]
> 
> At 22:00 06/02/21, Scott Hollenbeck wrote:
>  >Section 3.2 of draft-ietf-ltru-registry requires the IESG 
> to appoint a
>  >language subtag reviewer.  Given that we currently have a 
> reviewer in
>  >Michael Everson who has been performing this service under 
> the terms of RFCs
>  >1766 and 3066, I recently asked him if he would be willing 
> to continue given
>  >the additional duties, such as list moderation and IANA 
> coordination, that
>  >are described in the recently approved draft.  An, um, enlightening
>  >discussion followed.  Start of thread on the ietf-languages 
> list here:
>  >
>  
> >http://www.alvestrand.no/pipermail/ietf-languages/2006-Februa
ry/003923.html
>  >
>  >Mr. Everson has stated that he is willing to review 
> language tags, but he is
>  >unwilling to moderate or maintain the ietf-languages list.  
> He has also
>  >suggested that the draft should be changed to remove the 
> description of list
>  >management duties.  I have cc'd him here so that he can add 
> his own comments
>  >or correct any errors in my summary of our conversation.
> 
> Looking at Section 3.2., Language Subtag Reviewer, of RFC 3066 bis,
> I find the word "moderate", but NOT the word manage or any similar
> word (such as "administrate"). Unless I have overlooked something,
> this indicates to me that the basic split between Expert Reviewer
> and list administrator, as e.g. explained with several examples by
> Ned Freed, is not affected by the currently approved text.
> 
> So the discussion here should only be about the 'moderate' part.
> As Addison has pointed out, Michael already did some amount of
> moderation (indicating on-topic and off-topic issues, closing
> discussions). Let's call this 'moderation in the narrow sense'.
> The only thing that Michael didn't do was pronouncing suspensions
> according to RFC 3934. If we include this in moderation, let's
> call this 'moderation in the wide sense'.
> 
> Because moderation in the wide sense is an extension of moderation
> in the narrow sense, and because RFC 3934 assigns responsibility
> for suspensions to WG chairs in the WG case, and the closest to
> WG chairs we have on review lists are expert reviewers, it seems
> most natural to (at least initially) assign this responsibility
> to the expert reviewer. So in this sense, I can find no problem
> with the current wording.
> 
> Given some recent mail from Michael, it is also my guess that indeed
> in the past, Michael delegated the responsibility for suspensions to
> Harald.
> 
> My guess (I haven't gone through the archives, sorry, lack of time)
> is that things roughly happened as follows:
> - Michael sending a mail saying 'this is off-topic' to the
>    person in question.
> ...
> - Michael getting more and more concerned, and asking around
>    what to do, or probably proposing to just remove the person
>    in question from the ability to post (without any time limit).
> - Harald proposing/explaining RFC 3934.
> - Michael more than willing to let Harald do whatever possible
>    to keep the mailing list to its job.
> Even if things didn't happen as above, Michael was more that happy
> to let Harald do what he did.
> 
> I see no problem in continuing this arrangement in the future.
> To take the change from the Language Tag Reviewer to the Language
> Subtag Reviewer and the recent IESG announcement re. non-WG mailing
> lists into account, I think it would be good to have a mail from
> Michael to the list about this. But a single, one-time mail
> should be enough. I cannot immagine that this would be too much
> to ask from Michael.
> 
> What I think is more important is that Michael carefully check the
> rest of RFC 3066 bis, and tell us whether he feels okay to take
> on the new job. While most of the job is very similar, there are
> some aspects that have changed. The change from tags to subtags
> is the most important one.
> 
> 
>  >An Area Director can not unilaterally change an approved 
> Internet-Draft.
>  >Ted and I are not willing to appoint a reviewer who is not 
> willing to
>  >perform the duties described in the document.  We thus have 
> a conflict that
>  >needs to be resolved before the IESG can appoint a reviewer.
>  >
>  >Given that this document is a BCP candidate produced by the 
> LTRU working
>  >group, a change in the approved practices needs to be 
> considered by the
>  >group itself.  So, on behalf of the IESG, I am asking the 
> LTRU working group
>  >to consider your options (I see three) and to then tell Ted 
> and me which you
>  >wish to pursue:
>  >
>  >1. Revise the document, which will mean pulling it out of 
> the RFC Editor
>  >queue and starting a new last call and IESG approval process.  I am
>  >suggesting that a new last call etc. is required because 
> this document was
>  >approved for publication as a Best Current Practice (BCP) 
> document, and
>  >changing one of the practices is not a trivial matter.
> 
> I think that with respect to the job of expert reviewer, the document
> does very much describe both current and desirable practice, and it
> would be a mistake to change it.
> 
> 
>  >2. Leave the document alone and appoint a reviewer who is willing to
>  >delegate list management duties.  There has been some 
> debate over whether or
>  >not the reviewer has the authority to delegate 
> administrative tasks, but I
>  >believe that there are a number of precedents in place to 
> support such a
>  >decision.
> 
> As far as list *administration* is concerned, there is nothing for the
> reviewer to delegate, because the reviewer isn't charged with 
> administration.
> If anybody is (administratively) delegating list 
> adminitstration, it would
> be IANA, because it's them who sets the alias for 
> [email-masked].
> 
> As far as list *moderation* is concerned, I think that 
> Micheal has been
> more than willing in the past to delegate this job. The only 
> thing that
> would change is that this should be documented with an mail. I can't
> immagine that writing a single mail is too much of an administrative
> job for Michael, but of course that's his decision.
> 
>  >3. Appoint a reviewer who is willing to perform the duties 
> as currently
>  >described in the document.
> 
> That would of course be fine.
> 
>  >These may not be your only options.  My only stipulation is 
> that whatever
>  >you decide must be consistent with the document you produce.
> 
> I propose an additional option (I think 4 is already taken):
> 
> 5. Appoint two or more people to share the job of Language 
> Subtag Reviewer.
> 
> While the document doesn't explicitly use "Reviewer(s)", I 
> think that it
> wouldn't be an inconsistency, because we can view "Language 
> Subtag Reviewer"
> as a function, just with some job-sharing.
> 
> Regards,    Martin.
> 
> 
>  >WG chairs: please manage the discussion and report back to 
> Ted and I when
>  >you believe that a consensus position has been reached.
> 
> [OT] Just a small linguistic point: It should be "Ted and me". 
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru
> 

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Scott Hollenbeck" <[email-masked]>
Date: Wed, 22 Feb 2006 11:18:50 -0500

[trimming recipients]

> From: McDonald, Ira [mailto:[email-masked]] 
> Sent: Wednesday, February 22, 2006 10:52 AM
> To: 'Martin Duerst'; Scott Hollenbeck; 'LTRU Working Group'; 
> [email-masked]'; [email-masked]'
> Cc: 'Michael Everson'
> Subject: RE: [Ltru] Language Subtag Reviewer Appointment
> 
> Hi,
> 

Ira, while I'd love to find an easy way make progress I can't ask to have
the document changed without opening up all sorts of opportunities for an
appeal that would likely be upheld by the IAB.  In my opinion it's wrong for
an AD to unilaterally change a practice in a BCP document without community
approval, especially since discussion within LTRU has NOT unanimously been
in favor of changing the document.

Sorry, but since the working group produced the text in the document I need
to let you all figure out how you want to deal with it.  I or my successor
will act on the group's recommendation.

-Scott-

---

From: Mark Davis <[email-masked]>
Date: Wed, 22 Feb 2006 11:19:02 -0800

I disagree with Ira, and agree with Martin's assessment.

Mark